package de.andrena.objektforum.timeconcepts;

import static de.andrena.objektforum.timeconcepts.Util.formatInstant;
import static de.andrena.objektforum.timeconcepts.Util.formatLocalDateTime;

import java.time.Instant;
import java.time.LocalDateTime;
import java.util.TimeZone;

import org.junit.jupiter.api.Test;

public class ChangeSystemTimeZone {

    @Test
    void changeSystemTimeZone() {
        TimeZone timeZoneBefore = TimeZone.getDefault();

        Instant nowHere = Instant.now();
        LocalDateTime currentDateTimeHere = LocalDateTime.now();

        TimeZone.setDefault(TimeZone.getTimeZone("Asia/Singapore"));

        Instant nowInSingapore = Instant.now();
        LocalDateTime currentDateTimeInSingapore = LocalDateTime.now();

        System.out.println(formatInstant(nowHere));
        System.out.println(formatInstant(nowInSingapore));
        System.out.println(formatLocalDateTime(currentDateTimeHere));
        System.out.println(formatLocalDateTime(currentDateTimeInSingapore));

        TimeZone.setDefault(timeZoneBefore);
    }
}
