package de.andrena.objektforum.timeconcepts;

import static java.time.Month.MARCH;
import static java.time.Month.MAY;
import static java.time.temporal.ChronoUnit.DAYS;
import static org.assertj.core.api.Assertions.assertThat;

import java.time.Duration;
import java.time.Instant;
import java.time.LocalDate;
import java.time.Period;

import org.junit.jupiter.api.Test;

public class DurationAndPeriod {

    @Test
    void duration() {
        Instant end = Instant.now();
        Instant start = end.minus(80, DAYS);

        long days = Duration.between(start, end).toDays();
        assertThat(days).isEqualTo(80);
    }

    @Test
    void period() {
        LocalDate start = LocalDate.of(2020, MARCH, 12);
        LocalDate end = LocalDate.of(2020, MAY, 12);

        long months = Period.between(start, end).getMonths();
        assertThat(months).isEqualTo(2);
    }
}
