package de.andrena.objektforum.timeconcepts;

import static de.andrena.objektforum.timeconcepts.Util.formatInstant;
import static de.andrena.objektforum.timeconcepts.Util.formatLocalDateTime;

import java.time.Instant;
import java.time.LocalDateTime;
import java.time.ZoneId;

import org.junit.jupiter.api.Test;

public class InstantToLocalDateTime {

    @Test
    void instantToLocalDateTime() {
        Instant now = Instant.now();
        System.out.println(formatInstant(now));
        System.out.println();

        LocalDateTime nowInUTC = LocalDateTime.ofInstant(now, ZoneId.of("UTC"));
        LocalDateTime nowInNYC = LocalDateTime.ofInstant(now, ZoneId.of("America/New_York"));
        LocalDateTime nowHere = LocalDateTime.ofInstant(now, ZoneId.systemDefault());
        LocalDateTime nowInSingapore = LocalDateTime.ofInstant(now, ZoneId.of("Asia/Singapore"));

        System.out.println(formatLocalDateTime(nowInUTC) + " (now in UTC)");
        System.out.println(formatLocalDateTime(nowInNYC) + " (now in New York)");
        System.out.println(formatLocalDateTime(nowHere) + " (now here)");
        System.out.println(formatLocalDateTime(nowInSingapore) + " (now in Singapore)");
    }

    @Test
    void currentSystemDateTime() {
        LocalDateTime currentSystemDateTime = LocalDateTime.ofInstant(Instant.now(), ZoneId.systemDefault());

        System.out.println(currentSystemDateTime);
        System.out.println(LocalDateTime.now()); // just a shortcut!
    }

}
